// creator  : weidu.exe (version 23100)
// argument : _MTOWNA.DLG
// game		 : .
// source	 : ./override/_MTOWNA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_MTOWNA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,1)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 0 // from:
  SAY #76146 /* ~I'll not go down the mines again! 'Tain't natural what's down there! I just don't understand how adventuring fools like you go and put yourselves in harm's way.  I do whatever I can to avoid trouble.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #76102 /* ~Troubles in the region

People are afraid of the mines, but they are not sure what is there.~ */ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,2)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 1 // from:
  SAY #76147 /* ~A dozen men have been lost to the mine.  Surely it is a cursed place.  I don't believe any of the foreman's excuses, and I don't care about any extra pay.  I ain't going near it.  You're fools if you go there.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #76079 /* ~Troubles in the region

Something is killing men in the mines.  The Amnish guards are unable to stop it.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,3)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 2 // from:
  SAY #76148 /* ~I paid 35 gold for a sword from Beregost and it "rotted" in my hands! What can disease metal so? Has your gear done the same? Even if you got your blades out of some dank old dungeon, just bringing them near tainted metal makes them weak.  Seems like only magic weapons don't degrade, but who has those?  No one I know.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75153 /* ~Troubles in the region

Iron in this region seems to deteriorate for no known reason.~ */ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,4)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 3 // from:
  SAY #76150 /* ~I hear tell of adventurers in town, but they're all talk and no action.  If you see them, give 'em a kick and tell 'em to get moving.  We need help and we need it fast.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,5)
~ THEN BEGIN 4 // from:
  SAY #76151 /* ~Move aside and I'll be on my way.  I have no time to waste on idle blathering.  Hard enough making a living without you slowing me down.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(13,6)
Global("MetBrage","GLOBAL",0)
~ THEN BEGIN 5 // from:
  SAY #76152 /* ~The guard is pathetic! Why, if I had my way, that Brage would have been quartered by now! He's just a man, like any other.  A blade delivered in the proper fashion will drop him as simply as his victims!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #76153 /* ~The tale of Captain Brage

The guards in Nashkel have been unable to locate their mad Captain Brage.~ */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #76154 /* ~I don't know nuthin'.  Sorry.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #74940 /* ~Get out of my sight!  I'll do nothing for you!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~RandomNum(13,7)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 8 // from:
  SAY #76155 /* ~You people look new to Nashkel.  I assume you've come to see the fair, it's really too bad 'bout all of the troubles we've been having here lately, cause it's kinda ruined the whole mood at the fair.~ */
  IF ~~ THEN REPLY #76156 /* ~Where is this fair located?~ */ GOTO 9
  IF ~~ THEN REPLY #76157 /* ~What are the troubles you've been having lately?~ */ GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #76158 /* ~The fair?  It's just east of Nashkel.  There ain't too many people there though.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 8.1
  SAY #76159 /* ~All of the troubles 'ave been 'cause of the mines to the east.  Some fine folk have disappeared in those mines, never to return.  There's a lot a speak about demons and such, but I think it's probably somethin' a little more mundane.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #13 /* Triggers after states #: 14 15 16 17 18 even though they appear after this state */
~RandomNum(13,13)
~ THEN BEGIN 11 // from:
  SAY #76160 /* ~We be proud citizens of Amn, here, not pussyfoots like you northerners...~ */
  IF ~~ THEN REPLY #76161 /* ~Amn? I thought this town was called Nashkel...~ */ GOTO 12
  IF ~~ THEN REPLY #76162 /* ~Watch your tongue or you'll soon be eating it.~ */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #76163 /* ~You've lived a sheltered life if you've never heard of the great trading nation of Amn. Nashkel, here, marks its northernmost boundary, though that may change before too long. Mark my words, there'll be Amnish soldiers lining the streets of Beregost by winter if those devils from Baldur's Gate don't stop sabotaging our iron...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.1
  SAY #76164 /* ~You heard me, pussyfoot... If you don't like it, take your troubles to the guards. This is Amnish law yer under, now.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 ~RandomNum(13,8)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 14 // from:
  SAY #76165 /* ~You new to town, eh?  Well if I were you I'd just turn around and leave.  Ever since the monsters started the killin' in our iron mines, this town's been cursed.  Just a few weeks past, our guard commander lost his mind and slaughtered his family.  No good to stay here, trust me.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 ~RandomNum(13,9)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 15 // from:
  SAY #76166 /* ~If you've come to town looking for work, you might as well pack up and go back to whence you came.  Our mines to the east are soon to be closed down.  No one's willing to work there anymore, 'cept the foolhardy and the desperate.  Something's down in those mines... something evil.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #10 ~RandomNum(13,10)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 16 // from:
  SAY #76167 /* ~Hey there fella, looks like you and yer group are a traveling band.  Well, if yer lookin' to have some fun, or maybe restock on your traveling equipment, the place to go is the fair.  It's just east of town.  The fair ain't too lively, with what's been going on in the mines, but you'll find what ya need.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #11 ~RandomNum(13,11)
GlobalLT("Chapter","GLOBAL",4)
~ THEN BEGIN 17 // from:
  SAY #76168 /* ~Greetings, your new around here, aren't you.  We don't see many armed people here in Nashkel, well, except for the Amnish soldiers that is.  I've been hearing rumors that bandits and the like are taking over the countryside.  To see someone outfitted like yourself, it must be true.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #12 ~RandomNum(13,12)
~ THEN BEGIN 18 // from:
  SAY #76169 /* ~I hate this stupid town.  Nothing ever happens around here.  A person could die just from the boredom.  What we need around here is a good war, that'll spice things up.  Good for the economy.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #14 ~True()
~ THEN BEGIN 19 // from:
  SAY #76169 /* ~I hate this stupid town.  Nothing ever happens around here.  A person could die just from the boredom.  What we need around here is a good war, that'll spice things up.  Good for the economy.~ */
  IF ~~ THEN EXIT
END
